clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::SignatureQualitySignals Struct Reference

`#include <Quality.h>`

Collaboration diagram for clang::clangd::SignatureQualitySignals:
[legend]

## Public Attributes
uint32_t | NumberOfParameters = 0
uint32_t | NumberOfOptionalParameters = 0
CodeCompleteConsumer::OverloadCandidate::CandidateKind | Kind

## Detailed Description

Definition at line 195 of file Quality.h.

## Member Data Documentation

## ◆ Kind

CodeCompleteConsumer::OverloadCandidate::CandidateKind clang::clangd::SignatureQualitySignals::Kind

Initial value:
=
CodeCompleteConsumer::OverloadCandidate::CandidateKind::CK_Function

Definition at line 198 of file Quality.h.

## ◆ NumberOfOptionalParameters

uint32_t clang::clangd::SignatureQualitySignals::NumberOfOptionalParameters = 0

Definition at line 197 of file Quality.h.

## ◆ NumberOfParameters

uint32_t clang::clangd::SignatureQualitySignals::NumberOfParameters = 0

Definition at line 196 of file Quality.h.

The documentation for this struct was generated from the following file:

- Quality.h